the following patch was just integrated into master:
commit 398bb142949d3e3960126ba2cca2270b845a97b7
Author: Edward O'Callaghan <eocallaghan(a)alterapraxis.com>
Date: Wed Jul 16 23:04:55 2014 +1000
soc,ASL: Trivial - drop trailing blank lines at EOF
Change-Id: If70f5ad26d639d7366772f4468a25bca83ac0857
Signed-off-by: Edward O'Callaghan <eocallaghan(a)alterapraxis.com>
Reviewed-on: http://review.coreboot.org/6295
Tested-by: build bot (Jenkins)
Reviewed-by: Idwer Vollering <vidwer(a)gmail.com>
See http://review.coreboot.org/6295 for details.
-gerrit
the following patch was just integrated into master:
commit c1b1c8e9b3078ef93473634f98441d44af54566c
Author: Edward O'Callaghan <eocallaghan(a)alterapraxis.com>
Date: Wed Jul 16 23:04:27 2014 +1000
northbridge,ASL: Trivial - drop trailing blank lines at EOF
Change-Id: I8d4bf17fe9fd82499b1515a8e85dff9cba498350
Signed-off-by: Edward O'Callaghan <eocallaghan(a)alterapraxis.com>
Reviewed-on: http://review.coreboot.org/6294
Tested-by: build bot (Jenkins)
Reviewed-by: Idwer Vollering <vidwer(a)gmail.com>
See http://review.coreboot.org/6294 for details.
-gerrit
the following patch was just integrated into master:
commit 5eb4d6327ee021f8398a44294dd47b04a0b8dcc3
Author: Edward O'Callaghan <eocallaghan(a)alterapraxis.com>
Date: Wed Jul 16 23:04:03 2014 +1000
southbridge,ASL: Trivial - drop trailing blank lines at EOF
Change-Id: I8ef5f1571ad14ead2d4cc0d61b6b7133d7fc8550
Signed-off-by: Edward O'Callaghan <eocallaghan(a)alterapraxis.com>
Reviewed-on: http://review.coreboot.org/6293
Tested-by: build bot (Jenkins)
Reviewed-by: Idwer Vollering <vidwer(a)gmail.com>
See http://review.coreboot.org/6293 for details.
-gerrit
David Hendricks (dhendrix(a)chromium.org) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6260
-gerrit
commit 76c93446e8d1a56b6ecbc665e18308f600ec246c
Author: Martin Roth <martin.roth(a)se-eng.com>
Date: Thu Jul 10 15:00:35 2014 -0600
board_status.sh name temp dir and print the name
- Read the boot log from a serial device.
Change-Id: I9daf97fd9b7fc55d0d56d815b185f9b4e3ef9f5a
Signed-off-by: Martin Roth <martin.roth(a)se-eng.com>
---
util/board_status/board_status.sh | 68 ++++++++++++++++++++++++++++++++++++---
1 file changed, 64 insertions(+), 4 deletions(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 65576f4..6032c8c 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -3,6 +3,7 @@
# This file is part of the coreboot project.
#
# Copyright (C) 2013 Google Inc.
+# Copyright (C) 2014 Sage Electronic Engineering, LLC.
#
EXIT_SUCCESS=0
@@ -12,6 +13,7 @@ EXIT_FAILURE=1
REMOTE_HOST=""
CLOBBER_OUTPUT=0
UPLOAD_RESULTS=0
+SERIAL_PORT_SPEED=115200
# Used to specify whether a command should always be run locally or
# if command should be run remoteley when a remote host is specified.
@@ -96,6 +98,50 @@ cmd_nonfatal()
rm -f "$3" # don't leave an empty file
}
+# read from a serial port device
+#
+# $1: serial device to read from
+# $2: serial port speed
+# $3: filename to direct output of command into
+get_serial_bootlog () {
+
+ if [ ! -c "$1" ]; then
+ echo "$1 is not a valid serial device"
+ exit $EXIT_FAILURE
+ fi
+
+ # make the text more noticible
+ test_cmd $LOCAL "tput" $NONFATAL
+ tput_not_available=$?
+ if [ $tput_not_available -eq 0 ]; then
+ tput bold
+ tput setaf 10 # set bright green
+ fi
+
+ echo
+ echo "Waiting to receive boot log from $1"
+ echo "Press [Enter] when the boot is complete and the"
+ echo "system is ready for ssh to get the dmesg log."
+
+ if [ $tput_not_available -eq 0 ]; then
+ tput sgr0
+ fi
+
+ # set up the serial port
+ cmd $LOCAL "stty -F $1 $2 cs8 -cstopb"
+
+ # read from the serial port - user must press enter when complete
+ test_cmd $LOCAL "tee"
+ cat "$SERIAL_DEVICE" | tee "$3" &
+ PID=$!
+
+ read
+ kill "$PID" 2>/dev/null &
+
+ # remove the binary zero value that gets inserted into the file.
+ sed -i 's/\x00//' "$3"
+}
+
show_help() {
echo "Usage:
${0} <option>
@@ -107,12 +153,16 @@ Options
Clobber temporary output when finished. Useful for debugging.
-r <host>
Obtain machine information from remote host (using ssh).
+ -s </dev/xxx>
+ Obtain boot log via serial device.
+ -S <speed>
+ Set the port speed for the serial device (Default is 115200).
-u
Upload results to coreboot.org.
"
}
-while getopts "Chr:u" opt; do
+while getopts "Chr:s:S:u" opt; do
case "$opt" in
h)
show_help
@@ -124,6 +174,12 @@ while getopts "Chr:u" opt; do
r)
REMOTE_HOST="$OPTARG"
;;
+ s)
+ SERIAL_DEVICE="$OPTARG"
+ ;;
+ S)
+ SERIAL_PORT_SPEED="$OPTARG"
+ ;;
u)
UPLOAD_RESULTS=1
;;
@@ -170,9 +226,13 @@ printf "Upstream revision: %s\n" $($getrevision -u) >> ${tmpdir}/${results}/revi
printf "Upstream URL: %s\n" $($getrevision -U)>> ${tmpdir}/${results}/revision.txt
printf "Timestamp: %s\n" "$timestamp" >> ${tmpdir}/${results}/revision.txt
-test_cmd $REMOTE "cbmem"
-cmd $REMOTE "cbmem -c" "${tmpdir}/${results}/coreboot_console.txt"
-cmd_nonfatal $REMOTE "cbmem -t" "${tmpdir}/${results}/coreboot_timestamps.txt"
+if [ -z "$SERIAL_DEVICE" ]; then
+ test_cmd $REMOTE "cbmem"
+ cmd $REMOTE "cbmem -c" "${tmpdir}/${results}/coreboot_console.txt"
+ cmd_nonfatal $REMOTE "cbmem -t" "${tmpdir}/${results}/coreboot_timestamps.txt"
+else
+ get_serial_bootlog "$SERIAL_DEVICE" "$SERIAL_PORT_SPEED" "${tmpdir}/${results}/coreboot_console.txt"
+fi
cmd $REMOTE dmesg "${tmpdir}/${results}/kernel_log.txt"
Idwer Vollering (vidwer(a)gmail.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6299
-gerrit
commit 2ee419a26aaeb2b904943c8f3ee8e504a833b5a7
Author: Idwer Vollering <vidwer(a)gmail.com>
Date: Wed Jul 16 22:22:59 2014 +0200
util/board_status: use the right location of cbfstool
The cbfstool binary in util/ doesn't exist as often as build/cbfstool does.
Since cbfstool obtains details from coreboot.rom, use the binary in build/
Change-Id: Id7d5632f4e5cbd5ede58cd136c37b0dacee9ff93
Signed-off-by: Idwer Vollering <vidwer(a)gmail.com>
---
util/board_status/board_status.sh | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 7c321b3..75b4237 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -150,7 +150,10 @@ tmpdir=$(mktemp -d)
# Obtain board and revision info to form the directory structure:
# <vendor>/<board>/<revision>/<timestamp>
-cbfstool_cmd="util/cbfstool/cbfstool"
+cbfstool_cmd="build/cbfstool"
+if test ! -x util/cbfstool/cbfstool -a build/cbfstool; then
+ make -C util/cbfstool/ && cp util/cbfstool/cbfstool build/cbfstool
+fi
test_cmd $LOCAL "$cbfstool_cmd"
$cbfstool_cmd build/coreboot.rom extract -n config -f ${tmpdir}/config.txt
$cbfstool_cmd build/coreboot.rom print > ${tmpdir}/cbfs.txt
Idwer Vollering (vidwer(a)gmail.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6299
-gerrit
commit 7a60182eff646616795d90734c347a5501ab7891
Author: Idwer Vollering <vidwer(a)gmail.com>
Date: Wed Jul 16 22:22:59 2014 +0200
util/board_status: use the right location of cbfstool
The cbfstool binary in util/ doesn't exist as often as build/cbfstool does.
Since cbfstool obtains details from coreboot.rom, use the binary in build/
Change-Id: Id7d5632f4e5cbd5ede58cd136c37b0dacee9ff93
Signed-off-by: Idwer Vollering <vidwer(a)gmail.com>
---
util/board_status/board_status.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 7c321b3..9f8bc09 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -150,7 +150,7 @@ tmpdir=$(mktemp -d)
# Obtain board and revision info to form the directory structure:
# <vendor>/<board>/<revision>/<timestamp>
-cbfstool_cmd="util/cbfstool/cbfstool"
+cbfstool_cmd="build/cbfstool"
test_cmd $LOCAL "$cbfstool_cmd"
$cbfstool_cmd build/coreboot.rom extract -n config -f ${tmpdir}/config.txt
$cbfstool_cmd build/coreboot.rom print > ${tmpdir}/cbfs.txt
David Hendricks (dhendrix(a)chromium.org) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6260
-gerrit
commit 5594c5bb8b6eea18f120a1284705cdf4b82c2c9e
Author: Martin Roth <martin.roth(a)se-eng.com>
Date: Thu Jul 10 15:00:35 2014 -0600
board_status.sh name temp dir and print the name
- Read the boot log from a serial device.
Change-Id: I9daf97fd9b7fc55d0d56d815b185f9b4e3ef9f5a
Signed-off-by: Martin Roth <martin.roth(a)se-eng.com>
---
util/board_status/board_status.sh | 68 ++++++++++++++++++++++++++++++++++++---
1 file changed, 64 insertions(+), 4 deletions(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 889419e..f494c89 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -3,6 +3,7 @@
# This file is part of the coreboot project.
#
# Copyright (C) 2013 Google Inc.
+# Copyright (C) 2014 Sage Electronic Engineering, LLC.
#
EXIT_SUCCESS=0
@@ -12,6 +13,7 @@ EXIT_FAILURE=1
REMOTE_HOST=""
CLOBBER_OUTPUT=0
UPLOAD_RESULTS=0
+SERIAL_PORT_SPEED=115200
# Used to specify whether a command should always be run locally or
# if command should be run remoteley when a remote host is specified.
@@ -110,6 +112,50 @@ cmd_nonfatal()
rm -f "$3" # don't leave an empty file
}
+# read from a serial port device
+#
+# $1: serial device to read from
+# $2: serial port speed
+# $3: filename to direct output of command into
+get_serial_bootlog () {
+
+ if [ ! -c "$1" ]; then
+ echo "$1 is not a valid serial device"
+ exit $EXIT_FAILURE
+ fi
+
+ #make the text more noticible
+ test_cmd $LOCAL "tput" $NONFATAL
+ tput_not_available=$?
+ if [ $tput_not_available -eq 0 ]; then
+ tput bold
+ tput setaf 10 #set bright green
+ fi
+
+ echo
+ echo "Waiting to receive boot log from $1"
+ echo "Press [Enter] when the boot is complete and the"
+ echo "system is ready for ssh to get the dmesg log."
+
+ if [ $tput_not_available -eq 0 ]; then
+ tput sgr0
+ fi
+
+ #set up the serial port
+ cmd $LOCAL "stty -F $1 $2 cs8 -cstopb"
+
+ #read from the serial port - user must press enter when complete
+ test_cmd $LOCAL "tee"
+ cat "$SERIAL_DEVICE" | tee "$3" &
+ PID=$!
+
+ read
+ kill "$PID" 2>/dev/null &
+
+ #remove the binary zero value that gets inserted into the file.
+ sed -i 's/\x00//' "$3"
+}
+
show_help() {
echo "Usage:
${0} <option>
@@ -121,12 +167,16 @@ Options
Clobber temporary output when finished. Useful for debugging.
-r <host>
Obtain machine information from remote host (using ssh).
+ -s </dev/xxx>
+ Obtain boot log via serial device.
+ -S <speed>
+ Set the port speed for the serial device (Default is 115200).
-u
Upload results to coreboot.org.
"
}
-while getopts "Chr:u" opt; do
+while getopts "Chr:s:S:u" opt; do
case "$opt" in
h)
show_help
@@ -138,6 +188,12 @@ while getopts "Chr:u" opt; do
r)
REMOTE_HOST="$OPTARG"
;;
+ s)
+ SERIAL_DEVICE="$OPTARG"
+ ;;
+ S)
+ SERIAL_PORT_SPEED="$OPTARG"
+ ;;
u)
UPLOAD_RESULTS=1
;;
@@ -184,9 +240,13 @@ printf "Upstream revision: %s\n" $($getrevision -u) >> ${tmpdir}/${results}/revi
printf "Upstream URL: %s\n" $($getrevision -U)>> ${tmpdir}/${results}/revision.txt
printf "Timestamp: %s\n" "$timestamp" >> ${tmpdir}/${results}/revision.txt
-test_cmd $REMOTE "cbmem"
-cmd $REMOTE "cbmem -c" "${tmpdir}/${results}/coreboot_console.txt"
-cmd_nonfatal $REMOTE "cbmem -t" "${tmpdir}/${results}/coreboot_timestamps.txt"
+if [ -z "$SERIAL_DEVICE" ]; then
+ test_cmd $REMOTE "cbmem"
+ cmd $REMOTE "cbmem -c" "${tmpdir}/${results}/coreboot_console.txt"
+ cmd_nonfatal $REMOTE "cbmem -t" "${tmpdir}/${results}/coreboot_timestamps.txt"
+else
+ get_serial_bootlog "$SERIAL_DEVICE" "$SERIAL_PORT_SPEED" "${tmpdir}/${results}/coreboot_console.txt"
+fi
cmd $REMOTE dmesg "${tmpdir}/${results}/kernel_log.txt"
Idwer Vollering (vidwer(a)gmail.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6299
-gerrit
commit 1ce9a374d1e24b3aa915faa91b1e16ce0691ead4
Author: Idwer Vollering <vidwer(a)gmail.com>
Date: Wed Jul 16 22:22:59 2014 +0200
util/board_status: use the right location of cbfstool
The util/cbfstool/cbfstool binary doesn't exist as often as build/cbfstool does.
Since cbfstool obtains details from build/coreboot.rom, use the binary in build/
Change-Id: Id7d5632f4e5cbd5ede58cd136c37b0dacee9ff93
Signed-off-by: Idwer Vollering <vidwer(a)gmail.com>
---
util/board_status/board_status.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 7c321b3..9f8bc09 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -150,7 +150,7 @@ tmpdir=$(mktemp -d)
# Obtain board and revision info to form the directory structure:
# <vendor>/<board>/<revision>/<timestamp>
-cbfstool_cmd="util/cbfstool/cbfstool"
+cbfstool_cmd="build/cbfstool"
test_cmd $LOCAL "$cbfstool_cmd"
$cbfstool_cmd build/coreboot.rom extract -n config -f ${tmpdir}/config.txt
$cbfstool_cmd build/coreboot.rom print > ${tmpdir}/cbfs.txt
Idwer Vollering (vidwer(a)gmail.com) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/6299
-gerrit
commit be3463778913838f38b9b2bdc8ed545947e5e315
Author: Idwer Vollering <vidwer(a)gmail.com>
Date: Wed Jul 16 22:22:59 2014 +0200
util/board_status: cbfstool
The util/cbfstool/cbfstool binary doesn't exist as often as build/cbfstool does.
Since cbfstool obtains details from build/coreboot.rom, use the binary in build/
Change-Id: Id7d5632f4e5cbd5ede58cd136c37b0dacee9ff93
Signed-off-by: Idwer Vollering <vidwer(a)gmail.com>
---
util/board_status/board_status.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/util/board_status/board_status.sh b/util/board_status/board_status.sh
index 7c321b3..9f8bc09 100755
--- a/util/board_status/board_status.sh
+++ b/util/board_status/board_status.sh
@@ -150,7 +150,7 @@ tmpdir=$(mktemp -d)
# Obtain board and revision info to form the directory structure:
# <vendor>/<board>/<revision>/<timestamp>
-cbfstool_cmd="util/cbfstool/cbfstool"
+cbfstool_cmd="build/cbfstool"
test_cmd $LOCAL "$cbfstool_cmd"
$cbfstool_cmd build/coreboot.rom extract -n config -f ${tmpdir}/config.txt
$cbfstool_cmd build/coreboot.rom print > ${tmpdir}/cbfs.txt